### Method

# Vte Terminal get_color_background_for_draw

since: 0.54

#### Declaration [src]

    void
    vte_terminal_get_color_background_for_draw (
      VteTerminal* terminal,
      GdkRGBA* color
    )

#### Description [src]

Returns the background colour, as used by `terminal` when drawing the background, which may be different from the color set by vte_terminal_set_color_background().

Note: you must only call this function while handling the GtkWidget::draw signal.

This function is rarely useful. One use for it is if you disable drawing the background (see vte_terminal_set_clear_background()) and then need to draw the background yourself.

Available since: 0.54

#### Parameters

`color`

  Type: `GdkRGBA`

  A location to store a `GdkRGBA` color.

  The argument will be set by the function.
  The returned data is owned by the instance.